Request creation of a Safe for a chain
curl --request POST \
--url https://{host}/extern/svr/{accountTypeId}/account/{accountId}/safe/request \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"chainId": 8453
}
'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({chainId: 8453})
};
fetch('https://{host}/extern/svr/{accountTypeId}/account/{accountId}/safe/request', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{host}/extern/svr/{accountTypeId}/account/{accountId}/safe/request"
payload = { "chainId": 8453 }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": "success",
"data": {
"message": "<string>"
}
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}Request creation of a Safe for a chain
POST
/
extern
/
svr
/
{accountTypeId}
/
account
/
{accountId}
/
safe
/
request
Request creation of a Safe for a chain
curl --request POST \
--url https://{host}/extern/svr/{accountTypeId}/account/{accountId}/safe/request \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"chainId": 8453
}
'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({chainId: 8453})
};
fetch('https://{host}/extern/svr/{accountTypeId}/account/{accountId}/safe/request', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{host}/extern/svr/{accountTypeId}/account/{accountId}/safe/request"
payload = { "chainId": 8453 }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": "success",
"data": {
"message": "<string>"
}
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}Authorizations
Server API key (sk_live_...)
Path Parameters
Account Type slug
Minimum string length:
1RFC 4122 UUID
Example:
"8e9f4d67-51ad-49aa-a502-2f569aaf7399"
Body
application/json
EVM chain ID
Required range:
x >= 1Example:
8453
Last modified on July 24, 2026
Was this page helpful?